If ctags (resp. etags) isn't installed, these scripts naturally fail,
but the error messages were less clear than one could wish.
It seems worth installing an explicit test to improve that.
Nikolay Shaplov, with suggestions from Michael Paquier and Andrew Dunstan
Discussion: https://postgr.es/m/
2394207.ccz7JgCJsh@x200m
# src/tools/make_ctags
+command -v ctags >/dev/null || \
+ { echo "'ctags' program not found" 1>&2; exit 1; }
+
trap "rm -f /tmp/$$" 0 1 2 3 15
rm -f ./tags
# src/tools/make_etags
+command -v etags >/dev/null || \
+ { echo "'etags' program not found" 1>&2; exit 1; }
+
rm -f ./TAGS
find `pwd`/ -type f -name '*.[chyl]' -print |